
Foreman - Bug #2361

password field renders nil on compute resource edit

03/31/2013 04:31 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: VM management   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

need to add :value to each compute resource subform

Ex.

<%= password_f f, :password, :label => "Password", :value => f.object.password %>

Associated revisions

Revision 1eaac1c6 - 05/01/2013 01:02 AM - Joseph Magen

fixes #2361 empty password does not invalidate compute resource

Revision ddb54f0b - 05/01/2013 09:56 AM - Amos Benari

fixes #2361 do not reset password on test connection.

History

#1 - 03/31/2013 04:32 AM - Ohad Levy

must we add value? I would expect that if its empty, then we dont change the value in the db?

#2 - 05/01/2013 08:20 AM - Joseph Magen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 1eaac1c664cccfa483b2fd43560ddf0c1d0c536e.

#3 - 05/01/2013 09:55 AM - Dominic Cleal

- Category set to VM management

- Status changed from Closed to Ready For Testing

- Target version set to 1.2.0

- % Done changed from 100 to 50

Followup to fix test connection: https://github.com/theforeman/foreman/pull/566

#4 - 05/01/2013 11:49 AM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 50 to 100

Applied in changeset ddb54f0b3ae28151e9652f9cbbd2d6601851d16d.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1eaac1c664cccfa483b2fd43560ddf0c1d0c536e
https://github.com/theforeman/foreman/pull/566
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ddb54f0b3ae28151e9652f9cbbd2d6601851d16d
http://www.tcpdf.org

